import request from '@/utils/request'
import { PageType, StrAnyObj } from '@/typings'

// 商铺信息分页
export function getPageApi(params: StrAnyObj): Promise<PageType<StrAnyObj>> {
  return request.get('/corporationShop/getPage', params)
}

// 商铺信息明细
export function getDetailApi(params: StrAnyObj): Promise<StrAnyObj> {
  return request.get('/corporationShop/getDetail', params)
}

// 商铺信息新增
export function addApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporationShop/add', data)
}

// 商铺信息编辑
export function editApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporationShop/edit', data)
}

// 商铺信息删除
export function deleteApi(data: StrAnyObj): Promise<void> {
  return request.post('/corporationShop/delete', data)
}